# Makefile for dcclib for WIN32.

#   This assumes Borland's free command line tools FreeCommandLineTools.exe 
#   available in 2004 at
#	http://www.borland.com/products/downloads/download_cbuilder.html
#   and elsewhere

# Copyright (c) 2005 by Rhyolite Software, LLC
#
# This agreement is not applicable to any entity which sells anti-spam
# solutions to others or provides an anti-spam solution as part of a
# security solution sold to other entities, or to a private network
# which employs the DCC or uses data provided by operation of the DCC
# but does not provide corresponding data to other users.
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# Parties not eligible to receive a license under this agreement can
# obtain a commercial license to use DCC and permission to use
# U.S. Patent 6,330,590 by contacting Commtouch at http://www.commtouch.com/
# or by email to nospam@commtouch.com.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND RHYOLITE SOFTWARE, LLC DISCLAIMS ALL
# WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL RHYOLITE SOFTWARE, LLC
# BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
# ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
# SOFTWARE.

# Rhyolite Software DCC 1.3.5-1.11 $Revision$

!include "../win32.makinc1"

TARGET	=dcclib.lib

# omit daemon.c dccif.c helper.c parse_log_opt.c vsyslog.c xfltr_cmn.c xfltr_stubs.c
# add getopt.c win32.c
SRCS	=aop.c ask.c ck.c ck2str.c ckbody.c ckfuz1.c ckfuz2.c ckmime.c	\
	ckparse.c ckwhite.c clnt_init.c clnt_send.c clnt_unthreaded.c	\
	cnt2str.c ipv6_conv.c dnsbl.c error_msg.c			\
	fnm_lineno.c fnm2path.c get_id.c get_port.c get_secs.c		\
	getifaddrs.c heap_debug.c header.c hstrerror.c			\
	inet_ntop.c load_ids.c lock_open.c logbad.c md5.c mkstemp.c	\
	op2str.c parse_srvr_nm.c parse_whitefile.c			\
	parse_word.c print_info.c sign.c str2type.c str2cnt.c		\
	su2str.c type2str.c getopt.c win32.c

OBJS	=$(SRCS:.c=.obj)

$(TARGET): $(OBJS)
	-del $@
!ifndef __NMAKE__
# Borland
	TLIB /c $@ @&&|
+$(**: = &^
+)
|
!else
# Microsoft
	LIB /OUT:$@ @<<
$**
<<
!endif

!include "../win32.makinc2"
